Package org.opensaml.saml.common.profile.logic

# Class EntityRegexPredicate

java.lang.Object
org.opensaml.saml.common.profile.logic.EntityRegexPredicate

All Implemented Interfaces:
  `Predicate<EntityDescriptor>`

public class EntityRegexPredicate extends Object implements Predicate<EntityDescriptor>
Predicate that matches `EntityDescriptor.getEntityID()` against a regular exression.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final Pattern`
`pattern`
Regular expression to test.

## Constructor Summary

Constructors
Constructor
Description
`EntityRegexPredicate(Pattern exp)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(EntityDescriptor input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### pattern

@Nonnull private final Pattern pattern
Regular expression to test.

## Constructor Details

### EntityRegexPredicate

public EntityRegexPredicate(@Nonnull @ParameterName(name="exp") Pattern exp)
Constructor.

Parameters:
  `exp` - regular expression to check for

## Method Details

### test

public boolean test(@Nullable EntityDescriptor input)

Specified by:
  `test` in interface `Predicate<EntityDescriptor>`